AnyVararg
Date: 2015-09-18

org.mockito.internal.matchers

## Class AnyVararg

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.mockito.ArgumentMatcher
    - - org.mockito.internal.matchers.AnyVararg

- All Implemented Interfaces:
    java.io.Serializable, org.hamcrest.Matcher, org.hamcrest.SelfDescribing, VarargMatcher

      public class AnyVararg
      extends ArgumentMatcher
      implements VarargMatcher, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.hamcrest.Matcher` | `ANY_VARARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnyVararg()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `matches(java.lang.Object arg)` Returns whether this matcher accepts the given argument.

    - ### Methods inherited from class org.mockito.ArgumentMatcher

      `describeTo`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, describeMismatch, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANY_VARARG

          public static final org.hamcrest.Matcher ANY_VARARG

  - ### Constructor Detail

    - #### AnyVararg

          public AnyVararg()

  - ### Method Detail

    - #### matches

          public boolean matches(java.lang.Object arg)

      Description copied from class: `ArgumentMatcher`
      Returns whether this matcher accepts the given argument.

      The method should never assert if the argument doesn't match. It should only return false.

      Specified by:
        `matches` in interface `org.hamcrest.Matcher`
      Specified by:
        `matches` in class `ArgumentMatcher`
      Parameters:
        `arg` - the argument
      Returns:
        whether this matcher accepts the given argument.